Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 24 Dec 2022 01:56:38 +0000

Hi Mais Hasan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Please give me an update on my order number 9406934171. Tell me the exact date when it will be ready for pick up. I need it on December 25 and now it's December 24, I still need to wrap those things. Don't keep me waiting forever. Please let me know the exact date.

I thought click and collect is faster than the delivery that's why you don't give estimated date if only knew that delivery is faster than click and collect, I should have chosen delivery because it showed me same day delivery. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5498044